Welcome to Brava! Reader

Welcome to Brava!® ActiveX

Brava!® ActiveX software is designed to help you view published document and image files quickly and easily.

Three versions of Brava! ActiveX are available depending on the license key you have. Each license has the following restrictions:

  • If you are licensed for the free Brava! Reader, markup creation and editing is disabled. Supported formats are CSF, XDL, and TIFF.

  • The Brava! Desktop optional purchased license is required to edit and to create new markups. Brava! Desktop also has the Brava! loaders enabled for viewing a variety of format types. Brava! Desktop can publish native and XDL formats to secure CSF files.

Brava! Desktop runs as a Windows desktop application or as an ActiveX component inside a web page. It also has a complete API (license required) so it can easily be embedded in another application. (Please reference the API interface document (Interface_DetailsBravaDesktop.pdf) included in your Brava! Desktop installation directory.)

  • If you are licensed for the Free DWG Viewer (powered by Brava!), markup, measure, and printing features are disabled. However, you can view DWG, DXF, DWF, and CSF (IGC Content Sealed Format) files with this license.

Choose a topic below to get information on a specific Brava! feature.

Toolbars

Markups

Changemarks™

Hyperlinks

View Tools

Visual Rights™

Set Visible Layers

Zoom and Pan Tools

Calibrate and Measure

Copy to Clipboard

Search

Print

Print Banners

Publish to CSF

Hot Keys

Contact Information

Suggest New Features


What is CSF?

Informative Graphic's Visual Rights™technology renders document, image, and CAD files into an accurate, encrypted, content sealed format that embeds persistent content usage controls. The CSF/3DF publishers and free Readers let you control what can visually be done with your files. Digital Rights Management security strategies are further fortified with Visual Rights. CSF is a neutral 2D format that is a replica of the source file, including images, graphics, layout, and more. With CSF files, you can embed print and watermark banners.

View More Details about CSF Publishing

Documents can be published to CSF format using IGC's Brava! Desktop, Net-It Enterprise, Net-It® Now software, or one of the Net-It® CAD Plug-ins on a client's machine.

To view a document secured with Visual RightsTM, simply select a published CSF document to view through Brava!® Desktop or Brava! Reader which read the document's file rights before displaying a document page.

  • If the file's expiration date has been set by the person who published the file, the current date is checked and the viewer displays an error message if it is past the publisher's defined expiration date.

  • If the file is password protected, a password prompt displays. You are given three chances to enter the correct password.

  • If these checks pass, and the CSF file has a redaction markup with an expose key set, the user is prompted for the redaction key, and the file is allowed to display in the user's viewing window.

If the password entered is invalid or the time date stamp is no longer valid, the document will not open.

Menu options are disabled if the file has a corresponding right disabled.

The Brava! ActiveX viewers contain a lock icon in the status bar [image] when a CSF file is loaded. When you click this icon, a dialog displays informing you of the rights the document has enabled or disabled. For example:

Permitted Visual RightsTM

Printing Enabled : No

Markup Authoring : No

Markup Review : No

Burn In Markups : No

Measurement : No

Copy To Clipboard : No

View By Layer : No

Save As JPG : Yes

Republishing : No

File Expires : No

File Password Protected : No

See Also:

Publishing with Brava! Desktop

Format Comparison Chart PDF/DWG/CSF


alltoolbars

Contents

Toolbars

Standard Toolbar

View Tools

Search

Page Control

Status Bar

Markup Properties toolbar

Markup Toolbar (Available with Brava! Desktop)


Opening and Closing Files

To open a new file, simply select the Open command from the File menu and choose a new file to open. Brava! ActiveX is a viewing application only, so there is never any editing performed on the original document. Any markup actions that are performed are saved to an external file that can be overlaid on the document view.

Opening a new file through the File/Open command replaces any existing file that is currently open. You can have multiple Brava! ActiveX windows open similar to how Microsoft Paint and Notepad operate in that you can select any supported file type and view it with Brava! ActiveX. This can be done through your right mouse button "Open With.." command, choosing Brava! Desktop, Brava! Reader, or Free DWG as the application. You can also open additional files by launching several Brava! activeX sessions through your Windows Start-->All Programs menu..

Brava! ActiveX does not contain a File/Close menu command. To close a file, simply click on the X in the upper corner to close the viewing window (application). In addition, opening another file through the menu command closes the current file as previously mentioned. If you have created or edited any overlaid markups, you will be prompted to save the markup file.


View Tools

You can change the way the image displays within Brava! ActiveX by using the various view tools. The horizontal Scroll Bar contains buttons for the less frequently used display commands. From left to right, these are:

Rotate

Set Visible Layers

Monochrome

Background Color

Page Control

See Also:

Zoom and Pan Tools

Display Options


Background Color

You can change the background color of file types with "transparent" background colors, such as monochrome raster and vector file types (color raster files are not affected) to black, white, or gray. If you change the background color to the same color as the selected foreground color for monochrome images, the foreground color will automatically be changed.

To change the background color, click [image] on the scroll bar and select Black, White, or Gray from the pop up menu. Background color can also be accessed through the view window right mouse button menu. If you select the Default menu item, Brava! ActiveX will decide through driver directives which background color to use (for example, CAD file backgrounds will use black, office formats will use white, etc.).


Monochrome

Monochrome Mode changes all lines of a color image to a single color (the default is black). Markup entities remain in color for quick identification.

On the View menu, click Monochrome to make the image monochrome. You can also click [image] on the scroll bar to change to monochrome mode. Click again to return to color mode.

When Monochrome Mode is selected, the image displays and prints in black and white.


Rotate

You can rotate an image clockwise in 90 degree increments. Click [image] on the scroll bar until the image is rotated to the desired increment.

To rotate a markup entity see Editing Markups.


Zoom and Pan Tools

Fit All

Fit Width

Zoom Window

Zoom in/out

Magnifier


Fit All

Fit all [image] changes the view so that the full image is visible in the window. Images are automatically zoomed to extents when opened in Brava! ActiveX.


Zoom Window

Click [image] to access the Zoom window command:

Zoom Window. You can change the zoom area by dragging a box, or window, around the area you want to zoom in on. The area within the box will fill the image window. Simply click and hold the left mouse button, then drag the mouse around the area you wish to fill your viewing area.

Zoom in/out. While in Zoom Window mode, you can press the right mouse button and move the pointer up and down to zoom in and out of an image. Up increases magnification while down decreases it.

OR

Click [image] to access the Zoom in/out control. Hold the left mouse button down while moving the pointer up and down to zoom in and out of the image. Up increases magnification while down decreases it.

Note: You can use the hotkeys <+> or <-> to zoom in and out while any tool is active. First click inside of the viewer frame window and then hit the + key to increase magnification or the - key to decrease magnification.


Fit Width

Contents

Zoom Width

The Zoom Width command changes the zoom level so that the entire width of the image appears in the window. This is most useful for 8.5 x 11 documents so you do not have to scroll left and right to read the text.

To zoom an image to width, click [image] on the toolbar.


magnify

Contents

Magnifier

The Magnifier tool summons a rectangular "magnifying glass" in your viewing window. Use this tool to zoom into smaller areas on a larger image.

You can adjust the magnification by clicking and holding the left mouse button on the zoom adjustment handle. Dragging upward increases magnification while downward decreases it.

Move the magnifier by clicking and holding the left mouse button on the magnifier window, then dragging. Resize the magnifier by clicking and holding one of the four corner resize handles and dragging.

Close the magnifier by clicking the red "x" in the upper right corner.

You can toggle the magnification behavior (eyeglass or bird's eye) through the small icon in the upper left corner.

When this icon is displayed in the magnifier, you can click on any area of the drawing or document and the magnifier will snap to that area and display the selected section.

Click the icon to toggle between the two behaviors. When this icon is displayed, a small rectangle displays with your cursor when it is moved off of the magnifier window. You will notice that as you move your cursor around the document or drawing, the area contained in the cursor's small rectangle displays in the magnifier window (bird's eye view).

See also:

Measure


image based

Contents

Image-Based Zooming

Image-based zooming is a percentage of scale based on the original document's coordinate system. You can select to view a document from 25 to 400 percent of its actual size through the image-based zooming drop down box. The window size does not adjust for this type of zooming, but rather the size of the window determines how much of the image is visible.

You can type in a custom percent to adjust the zoom percent control to any percentage between 1 and 400%. When zooming with any of the view-based tools such as fit width and zoom window, the image-based zooming drop-down box reflects the current zoom percentage.


Pan

To pan across an image, click [image] on the toolbar. Note that the mouse pointer changes to a hand icon. Click and hold the left mouse button while dragging the mouse pointer in the direction you wish to move the image.

While in pan mode, you can press the right mouse button and move the pointer up and down to zoom in and out of an image. Up increases magnification while down decreases it.


Visible Layers

You can turn image layers (e.g.,published layers of a DWG file) on or off through the Set Visible Layers dialog box. Note: This feature is only allowed on a CSF file if the publisher enabled the "View by Layer" Visual Right™.

  1. Click [image] on the scroll bar.

  2. Select the check box(es) next to the layer(s) you wish to show or hide. A checkmark indicates visibility is on. Click Hide All to turn the visibility of all layers off, or Show All to turn the visibility of all layers on.

  3. Click Apply to update the image display without closing the dialog box. (You can click Restore Defaults to undo any changes you have made).

  4. Click OK to update the image display and close the dialog box.


Mirror

You can flip a raster image horizontally with the Mirror tool. From the View menu, select Mirror to toggle the mirror image on or off.

Notes:

  • Hotkey for the Mirror tool is Ctrl + F

  • You can create markups on images that have been mirrored, however, when the image and markup are reloaded for viewing, you will need to mirror the image again for the markup to display correctly over the image.

  • When navigating through or doing a print preview on a multi-page document, the mirror setting is retained (persisted) when navigating back and forth through the document pages. In addition, printing when doing a print preview with the mirrored state intact will print the image correctly as seen in the preview.


Page Control

When you view a multi-page document or drawing file, the paging controls display on the scroll bar.

Changes to the next page of the document. If you are viewing the last page, it changes to the first page.

Changes to the previous page. If you are viewing the first page, it changes to the last page.

Allows you to specify the page you wish to view. You can type or select a page name or number from the drop-down list box. A typed entry (for example, 25) displays as #page of #total pages (25 of 72, for example).

You can control the order that multi-page DWG files appear in the file list through the myrdrv.ini file located in your Brava! Desktop, Brava! Reader, or Free DWG Viewer installation directory. In the [DWG2DL] section of the file, adjust the value of the PageLoadOrder parameter according to the following preference:

0: Paperspace first

1: Modelspace first

2: Paperspace only

3: Modelspace only

4: Similar to 0 except the last active layout is first.

Example: PageLoadOrder=0

If there is only one page, it is loaded.


Display Options

Available from the right mouse button menu are various options that let you alter the way the image displays in the view window such as Fit Width, Fit All, next and previous paging commands, and the edit menu commands (copy, paste, and delete).

Select Enable Animation if you would like to turn on this feature. When selected, the image makes animated transitions from one viewpoint to the next when using any of the viewpoint transition tools such as the zooming and rotate tools. When this feature is turned off, the image will snap to each viewpoint change.

Select Review Changemarks to display the Review Changemarks tab on the right portion of the viewer window.

Select Show Line Weight to display an entity's true line width. If not enabled, the view displays with all controllable vector lines drawn at one pixel thickness regardless of the entities true line width. The one pixel with stays constant at zoomed magnification when this option is disabled. Disabling the Show Line Weight command is useful when viewing files containing entities of unusual thicknesses that can obscure other entities if displayed at their true width.

You can also control the Background color toggle from the right mouse button menu. Select Background to toggle from white, to gray, to black.


RightMouse

Contents

Right Mouse Button Functions

When using certain tools, clicking the right mouse button brings up a pop-up menu containing various display and edit commands. However, when the Pan, Magnifier, and Zoom Window tools are active, the right mouse button can be used as an added navigational control to quickly zoom in and out.

The right mouse button navigation is available whenever you see the right mouse button image [image] on the far right side of the status toolbar.

Pan tool [image] Zoom Window tool [image] Magnifier tool

While using any of these three tools, you can press and hold the right mouse button while moving the pointer up and down to zoom in and out of an image. Up increases magnification while down decreases it.


Viewing XREF files in DWG

Xrefs (external or cross references) are files that are referenced by any number of DWG files and allow you to add common information to just one file. This eliminates the repetitive task of adding identical information to multiple files. In order to use Xrefs with Brava! Desktop or Free DWG Viewer, you will need to modify the Xref path setting in the myrdrv.ini file located in the installation directory.

  1. Browse to the installed directory of Brava! Desktop (Default is C:\Program Files\IGC\Brava! Desktop) or Free DWG Viewer.

  2. Locate the file myrdrv.ini and open it in a text editor such as Notepad.

  3. Under the [DWG2DL] section is a parameter called "XrefPath". You can set locations of your external reference files using this parameter. (To add multiple locations, just separate each path with a semi-colon.) Edit the following line to point to your Xref file directory:

Format is XrefPath=path1;path2

Example:

XrefPath=C:\ACAD\xref

  4. Save and close the file.

Now when you load the DWG file that contains external references, the external files should be picked up by the viewer.


Markup Files

The Markup option of Brava! Desktop allows you to create a markup associated with a specific file. You can then save all markup entities as a markup file, which can be overlaid or burned in to the published CSF file that is viewable in Brava! ActiveX. A new markup file is automatically created for each new markup author (determined by the login user name), allowing them to see other author's markups, but not edit them.

You can overlay one or more markups on a source document for review, and with Brava! Desktop, you can create new markups, open an existing markup for editing, or burn-in markups to a CSF file.

With Brava! Reader, markup files can only be open for review and cannot be edited. The Create New Markups or Save Markups features are not enabled. Only markups that have been burned into a published CSF file can be viewed in the Free DWG Viewer, including any burned in Changemarks.

The symbol [image] indicates that markup files exist on the server for the current document.

What do you want to do?

Create Markups

Open Markups for Editing/Edit Markups

Overlay Markups for Review

Close Markups

Save Markups

See also:

Markup Toolbar


Markup Toolbar

The Markup toolbar contains related groups of markup tools and is available only with Brava! Desktop. To invoke the Markup Toolbar, click [image] on the Standard Toolbar and select New. (The markup tools are only available if your Brava! Server Administrator allows and enables this feature, or if you are licensed for a standalone version of Brava! Desktop.)

Note: Markup tools remain active until another tool is selected.

From left to right, the tools are:

Markup Select

Cloud and Polycloud

Line Arrow

Text

Changemark

Sketch and Sketch Poly

Line, Polyline, Arc, Scratchout, and Crossout

Solid and Hollow Shapes (Unfilled/Filled Rectangle, Ellipse, and Poly)

Blockout for Redaction

Edit Text (Strikeout, Underline, and Highlight)


Creating Markups

To create a new markup file with Brava! Desktop:

  1. Click [image] on the Standard toolbar and click New....

  2. Select the desired markup tool from the Markup Toolbar.


Editing Markups

With Brava! Desktop, you can edit markup entities in the active (editable) markup files. You can create new markup entities or use the Select Markup Tool to select existing entities to resize, reshape, move, or delete.

To open a markup file for editing:

  1. Click [image] on the toolbar and select Open....

  2. Select the markup you wish to open.

  3. Click OK.

  4. Click [image] on the Markup toolbar.

  5. Select the markup or markups you wish to edit (you can select more than one markup by pressing <Shift> while clicking on the desired markups).

  6. Edit the markup(s) as desired. You can move, resize, delete, or reshape markup entities.

    • Hold the left mouse button down on any of the 8 resize handles (to resize) or on the entity itself (to move), and then drag.

    • To delete a selected markup, press <Delete> (on your keyboard or from the right mouse button menu).

    • To rotate a selected markup, click on the green ball extending from the center of your markup entity. The cursor changes to [image]. Drag the ball in the direction you wish to rotate and release the mouse button to set the entity.

    • To change the shape of a selected markup, click on one of the independent edit handles (picking points) and drag.

    • To add a hyperlink, select the markup and type or select a URL from the hyperlink text box.

  7. You can also select and Copy a markup or group of markups through the right mouse button menu command. Hold down the <Shift> key to select multiple markup entities and click Copy. You can Paste the markups into the same page or into a different page of the same document.


Closing Markups

To close the currently active markup:

  1. Click [image] on the toolbar.

  2. To close an editable markup, click Close on the drop-down menu. You will be prompted to save the file before closing if the markup has not been saved yet or if changes have been made.

  3. To close markups that are open for review, select Close Review and select the overlaid markups in the list that you want to close.


Saving Markups

Markup files are saved as XRL or DXF files.

  1. Click [image] on the toolbar and select Save, or Save As, or SaveAs DXF.

  2. Type the file name in the File Name text box and select a directory to save the markup xrl file. Markups saved with Save or Save As are stored with the extension *.xrl. Markups saved with SaveAsDXF are stored in *.dxf format and can also be opened in CAD applications.

  3. Click OK.


Overlay Markups for Review

Brava! Reader and Brava! Desktop can open markup files for review. Though an image file can have only one editable markup associated with it, there can be multiple overlaid, or read-only markups attached. The Free DWG viewer can only view markups that have been burned into a published CSF file.

  1. Click [image] and select Open for Review....

  2. Select the markup file or files you wish to overlay and click OK. Markup files can be recognized as having he extension .MRK or .XRL.

Note: The symbol [image] present in the status bar indicates that markup files exist on the server for the current document.


Select Tool

Contents

Select Markup Entity

Enabled in Brava! Desktop, the Select Markup tool allows you to grab markup entities to move, copy, resize, reshape, or delete them.

  1. Click [image] on the Markup toolbar.

  2. Once the Select tool is active, click on a markup to select it or press and hold <Shift> while clicking to select multiple markups.

  3. To select adjacent markups, click and hold the left mouse button and drag a box around all the markups you wish to select.

  4. Edit the markup as desired.


Markup Pages

Use the Markup Pages Tool to navigate through markups on multi-page documents. From the View menu, select Review Markup Pages. You can select to view the First, Previous, Next, or Last page that contains markups.

This feature differs from the review Changemarks navigation in which the next and previous buttons step from one Changemark markup to the next. The Review Markup Pages feature navigates through all pages that contain markup entities, be they Changemarks or not.


Burned-in Markups

About Burned-in Markups: If the CSF file has the Markup Burn-in right enabled, a menu option will exist in Brava! Desktop called "Burn-in Markup". This feature enables a Brava! Desktop user to save a new CSF file along with all markups they have opened and is only enabled when a markup is open for review or edit. Markups are burned in for the purposes of review only. One or more markups can be burned into a CSF file and any markup that is open for edit is stored as well. The burned in CSF file is a snapshot of the current view and does not change the loaded file state. When this option is selected, the user is prompted to save the CSF file to a directory, or to send it as an email attachment. A new CSF file is then created with the markups burned in. The new CSF file with burned-in markups has the same permissions as the original loaded CSF file.

Viewing burned-in Markups: When you open a CSF file in Brava! ActiveX that has markups burned-in, the markups load in the viewer. You can view and review any Changemarks contained in the markup, but cannot close or edit the burned-in markup.


Redaction

Contents

CSF with Redaction (blockout)

About Redaction: Brava! Enterprise (java based) and Brava! Desktop (activeX) software allow the end user to designate a markup file to be burned-in to a published document as a "redaction". This means that the markups associated with that document can never be edited or removed by the end-user. The author has the capability to set an expose key that will allow only users who know the correct password to view any text and images that have been blocked out. Blockout entities on a markup file remain solid unless the expose key has been set and is correctly entered by the user. In that case, the blockout entities become transparent.

Exposing Blockouts: If the author who published the CSF file established a blockout "expose" key, you are prompted to enter that expose key. You are given three chances to enter that key correctly and can choose to enter a value or not. If the correct key is entered, any markup entities created with the Blockout tool are transparent (all other markup entities remain unchanged).

If no key, Cancel, or an incorrect key is given, the file will open, but any Blockout markup entities remain opaque and areas beneath them are hidden from view. If the publisher set no key for the redaction, no prompt is presented and the Blockout entities remain opaque, and uneditable. You can not turn off the visibility state of a redaction markup layer and any text or images hidden by the Blockout entity cannot be copied or searched.


Creating Changemarks

The Changemarks™ feature allows authors of markups to assign a placeholder and descriptive text and/or a hyperlink to a particular markup. All Changemarks contained in the markup files in the currently open markups appear in the Review Changemarks List. This allows reviewers to step through each Changemark’s annotation in all related documents and images, so no comments are missed.

From the Review Changemarks List, Changemarks can be filtered by author, title, or content. The descriptive text contained in the Changemarks can be reviewed and copied to the Clipboard. You can only create Changemarks with Brava! Desktop.

  1. Click [image] and select New to create a new markup layer or Open for Review to open an existing layer.

  2. Click [image] on the Markup toolbar.

  3. Draw the shape on the image by clicking and holding the left mouse button, then dragging the shape. Release the mouse button to set the entity.

  4. Enter the title of the Changemark in the title text box, and then press <Tab>.

  5. Type any descriptive text necessary (this entry is optional and can be quite extensive) in the scrolling window and click OK. You can also copy text to the clipboard and select Paste from the right mouse button menu to add text from another source.

  6. You can associate a hyperlink URL (also optional) by clicking [image] while the Changemark is active.

  7. You can edit the Changemarks size or position if desired. If the Changemark is not currently active, use the Select Markup Tool to pick it. Double click on the Changemark to edit its contents.

See Also:

Reviewing Changemarks

Filtering Changemarks


Reviewing Changemarks

Contents

Reviewing Changemarks™

You or subsequent reviewers can view a list of all the Changemarks associated with an image through the Review Changemarks window. If you are reviewing Changemarks that you authored in the active markup file, you can also edit the Changemarks.

  1. Open the image with the appropriate markup open or overlaid.

  2. From the View menu, select Review Changemarks. The Review Changemarks panel opens on the right portion of Brava! Reader.

  3. Existing Changemarks can be reviewed by title, author, or date by clicking the appropriate tab. You can add a search filter if desired. (Click All to return all Changemarks to the list.)

  4. Click on a resulting Changemarks that you wish to view. The Changemarks text displays in the panel's lower frame.

  5. You can progress sequentially through the Changemarks by using the Next and Previous arrow buttons [image] [image].

  6. The Changemarks entities appear in Brava! ActiveX at the same magnification level the author created them. To view the Changemark, the "Review Changemark" panel must be opened. To edit the Changemark, you must be the author, have the markup opened in edit (not review) mode, and click the individual Changemarks you want to edit.

  7. You can launch any hyperlinks present, and Brava! ActiveX will launch the specified URL in a separate browser window.

See also:

Creating Changemarks


Changemarks Filters

You can filter Changemarks by content and review the results by title, author, or date.

Filter Contents

You can filter the list by a word or phrase appearing in the Changemarks' title or description.

To return the list of all Changemarks associated with a file, click All.

To filter Changemarks by text content that appears in either the Changemarks title or description, type the word or phrase in the Search text box and click [image]. Each subsequent search will just search/filter against the list of entries returned from the previous search/filter.

Included in the Changemarks list are the tabs "Filter Titles", "Filter by Date", and "Filter by Author". Clicking on these tab fields lists the set of currently filtered Changemarks by that attribute (i.e. author, title, and creation date).

You can review all Changemarks by title, author, or date. You can filter Changemarks by Title, Content, or Author to view only the Changemarks that meet your search criteria.

See also:

Reviewing Changemarks


Hyperlink

A hyperlink contains a pointer to a text, image, sound or video file or a web address. When you launch a hyperlink contained in a Changemark™ or markup entity, the application associated with that file type is automatically launched and the specified file is loaded. If the hyperlink references a web address, the default browser is launched and goes to the specified URL.

Add a hyperlink

With Brava! Desktop, you can attach a hyperlink to a Changemark or to any markup entity. Simply create the Changemark or markup entity and then click [image]. Type a hyperlink URL in the text box.

To edit a Changemark or entity to add a hyperlink, click [image] to select the entity and then click [image] to specify a URL. Only one hyperlink URL can be assigned to each markup object.

Launch a hyperlink

To launch a hyperlink from within a Brava! ActiveX window (while in review mode), use the select tool [image] to move the cursor over an entity containing a hyperlink (pointer changes to a hand) and left-click.

To launch a hyperlink from the Changemarks Window, click [image] located at the lower right corner. This button is only available when a Changemark contains a hyperlink.


Save View

Contents

Save View As

You can save the current view displayed in the Brava! ActiveX window as a JPG file. This feature captures the image window (as a screen capture) and will include all visible elements (e.g., markup entities, magnifier window, measurement indications, etc.).

  1. From the File menu, select Save View As.

  2. In the Save View As dialog, browse to and select a location on your file system to save the JPG file.

Note: This menu option is disabled if the Save as JPG right is disallowed on a CSF document.


Select Entity Tool

Contents

Select Tool

The select tool [image] is used to pick interactive elements in a document or drawing.

With it, you can select and copy text, you can launch hyperlinks contained in the document, and you can view block attributes contained in a document. The cursor changes to a hand when you move it over a hyperlink.


Copy Text

If allowed by Visual Rights, you can select text contained in a Microsoft Office format document or drawing file and copy it to the Clipboard.

  1. Use the Select tool [image] to click and drag a selection box around the text you want to copy. The selected text appears highlighted. The selection box can include as little as one letter, or as much as all of the text contained in the page.

  2. From the right mouse button menu, or from the Edit menu, select Copy. You can then paste the contents of the Clipboard into another application such as Notepad or Microsoft Word.

Note: This feature is not permitted if the publisher of the CSF file has disabled the Visual Right "Copy to Clipboard". If the document has the copy to clipboard right enabled, users can copy a specified portion, or the entire page to the clipboard.


search

Contents

Find

You can search for text contained in an Office document or drawing file.

  1. Type the word or phrase you want to search for in the search edit field .

  2. You can specify your search parameters by selecting an option from the search menu (click the down arrow) [image] [image].

Down - progressively searches for the next instance in the document.

Up - progressively searches for the previous instance in the document.

Match Case - searches for the text exactly as typed with upper and lower case characters.

  3. Click [image] to launch your search. Use F3 to navigate to and highlight the next search instance.


Calibrate

When measuring distances, you must first calibrate the scale you wish to use. For example, if the image contains a component with a marked dimension of 1.5 m, you can use the Calibrate tool to measure the dimension line and enter 1.5 as the scale. The Measure tool will now give measurements in the unit of measurement specified. Calibrations are based on the document settings, but you may have to actually modify the measurement units to reflect "meters" or "inches".

  1. Click [image] and select Calibrate.

  2. Click the left mouse button on the first then last point in the distance you will be using as the baseline.

  3. Edit the calibration value to use as the scale (the unit that all future measured distances will be based on) and click OK.

The default precision for the Calibrate tool is four (4) decimal places. You can change the unit types and precision calculations through the measurement Settings dialog.

Note: Calibrate and measure are not enabled in the Free DWG Viewer.

See also:

Measurement


Measure

There are various Measure tools available for drawing and image files under the Measure menu. You must calibrate a baseline distance before the Distance, Polygon, and Rectangle Measure tools will be available. Brava! ActiveX uses an interval of 0 to 360 degrees for all angular measurement

Distance (Line)

Polygon

Rectangle

Measure Count

Measurement Settings

Note: Calibrate and measure are not enabled in the Free DWG Viewer.


Line

Contents

Measure Line

Measures the line (distance) between two selected points based on the calibrated baseline. The length of the new line, in terms of the calibrated baseline, will appear in the properties bar above the Brava! ActiveX window, along with the angle of the new line and the offset difference in y-axis position of the new line. You must first calibrate a baseline distance before the Line tool is available.

  1. On the Measure menu, select Measure Line.

  2. Select the Snap checkbox if you would like your measurement points to snap to the nearest picking point. Note: Only CAD-like formats support snap. Raster images and text documents do not perform snap.

  3. Click and release the left mouse button where you want to start measuring. An X will appear to mark the first point.

  4. Click the left mouse button where you want to finish measuring. Another X marks the end of the line. Note: For certain formats, you can use the magnifier to assist in accurate placement of the points.

  5. Creating a new line removes the existing measurements from the properties bar and clears the old line from the image window.

See also:

Measurement


rectangle

Contents

Measure Rectangle

Allows you to measure a rectangular area. The width, height, and area of the rectangle display on the properties bar, respectively. You must first calibrate a baseline distance before the Rectangle tool is available.

  1. On the Measure menu, select Measure Rectangle.

  2. Select the Snap checkbox if you would like your measurement points to snap to the nearest picking point. Note: Only CAD-like formats support snap. Raster images and text documents do not perform snap.

  3. Click and release the left mouse button where you want the rectangle to start.

  4. Click again where you want to place the opposite rectangle corner to set the shape. Width, height, and area information displays in the properties fields. Note: For certain formats, you can use the magnifier to assist in accurate placement of the points.

  5. Creating a new rectangle clears the old measurement and removes the old rectangle from the image window.

See also:

Measurement


polygon

Contents

Measure Polygon

Allows you to measure a polygonal shape. The length of the line between the last point set and the current mouse position, the total perimeter of the polygon (including the current mouse position) and the area of the polygon (including the current mouse position) appear in the properties bar, respectively. You must first calibrate a baseline distance before the Polygon tool is available.

  1. On the Measure menu, select Measure Polygon.

  2. Select the Snap checkbox if you would like your measurement points to snap to the nearest picking point. Note: Only CAD-like formats support snap. Raster images and text documents do not perform snap.

  3. Click the left mouse button where you want the first point of the polygon. As soon as you move the mouse pointer away from the first point, the measurement information changes in the properties bar.

  4. Click the left mouse button where you want the second point, and continue to set the points of the polygon. Notice that the measurement information continues to update. Note: For certain formats, you can use the magnifier to assist in accurate placement of the points.

  5. Double-click the left mouse button to set the last point. You will not see accurate measurement information if you have bisected the polygon, creating two or more shapes (the normally blue polygon will turn red when this happens).

  6. Creating a new polygon clears the old measurement and removes the old polygon from the image window.

See also:

Measurement


Measure Count

The Measure Count tool allows you to easily count items in a drawing - such as fixtures in a floor plan, screws on a design, etc. A marker is placed on the counted item to serve as a placeholder.

  1. From the Measure menu, select Measure Count.

  2. Click and release the left mouse button on items you want to count. A marker appears at the selected location indicating the item is included in the total value displayed in the count text box (indicated by [image]). To zoom into an area of the drawing to count items, click and hold the mouse button to summon a magnifier window. You can then drag the cursor to an exact location and release the mouse button to set the marker and close the magnifier window.

  3. The markers remain on the drawing until cleared, but are hidden from view when another Brava! ActiveX tool is being used. Click Clear All to remove all counts, click Remove Last to undo only your last selected count.


Measurement Settings

Available from the Measurement menu, the Measurement Settings dialog allows you to select the precision units for measurement values displayed in the resulting value fields when using the measurement tools (distance, area, angle, xz value, and perimeter).

  1. From the Measure menu, select Settings.

  2. Select a measuring system from the drop down list. English Architectural includes a precision setting for distance in fractions and can be calibrated in inches or feet. English displays all values in decimals only. Metric systems displays decimal values in meters, centimeters, and millimeters.

  3. Select a Unit value from the unit drop down box, then select the degree of precision desired. The Precision (Distance) drop down values only apply to distance measurements. You can select to display the value from the nearest 1 to 1/16th precision in distance, and you can choose to display your other measurement precision values from the nearest 1.0 to 0.00001 decimal value.

  4. Click OK to activate your settings. Measurement settings are saved across Brava! ActiveX sessions.

Note: Values are rounded up or down to the nearest precision value. For example, if you are measuring a line that is 6 1/3 inches and you have 1/2 selected in the precision drop down, the value will read as 6 in the distance value text box. If the value is exactly in the middle, such as 6 1/4, the displayed value will round up to the nearest 1/2 which would be 6 1/2.


Publishing with Brava Desktop

Contents

Publishing with Brava! Desktop

Brava! Desktop allows you to securely publish files (native and XDL format) to Informative Graphics Corporation's proprietary portable format (CSF) from any native application. CSF is a neutral 2D format that is a replica of the source file, including images, graphics, layout, and more. Secure CSF files published with Brava! Desktop can be opened in Brava Desktop, Brava! Enterprise, or the free Brava Reader.

From the Brava! Desktop File file menu, select Publish to CSF. The current document must be saved before publishing. When Brava! Desktop finishes publishing, it will collect security information for the published document, convert it to CSF, and ask you where to save and/or preview the generated CSF document.

The file prepares for publishing and a publishing options dialog appears allowing you to specify certain publishing and security controls.

Here you may select:

Security Type

Expiration dates

Permissions

Create options

Watermark and Banner settings

When you have chosen your desired options, click Publish. You will need to indicate a destination where the published CSF files should be contributed to (e.g., file system, mail, etc.). If you are contributing to a document management system, you may be prompted to enter additional meta data to be associated with the file.


Security Type

Select "Permit Republishing" if you would like to grant republishing rights to other users viewing your published file. If the file is published with republishing rights, the menu that corresponds to the republishing action will be enabled in Brava! Reader and the Publish dialog will display. The user will be able to select any rights - they are not restricted to just the rights enabled in the originating CSF file.

Deselect "Permit Republishing" if you do not want to grant republishing rights to other users viewing your published file. The File/Publish option is unavailable (so viewers can't republish the CSF to a new CSF). When Permit Republishing is not checked, the "Print", "Save As JPG" and "Copy to Clipboard" options are deselected (although the user can override by selecting them again if they so choose). Also, the "Burnin Markup" command of the Markup menu is unavailable. This prevents the creation of a CSF with a burned in markup from the existing CSF that does not allow for republishing.

Select "Password Protected" to grant viewing rights to select individuals. If selected, enter a password and confirmation in the text box. Users will be prompted for the correct password before they will be allowed to view the published file in the CSF Viewer.


Permissions

The permit section allows you to specify user rights for the sealed document. When the published document is viewed in a CSF reader (Brava Desktop, Brava Reader, Brava! Enterprise), users will be able to click on the "Visual Rights™" icon [image] on the user interface to display the rights that are available for that document.

Rights that you can control include:

User permissions:

Print - enables printing of the secure document.

Copy to Clipboard - enables text content to be copied to the Clipboard and pasted into another application.

Measurement - enables the measurement tool in the CSF reader.

View by Layer - enables turning on and off visible layers in the CSF reader.

Save As JPEG - enables turning on and off the Save View as JPEG command in the CSF reader.

Enable Markup:

Review - enables review of markups associated with the published document.

Authoring and Review - enables markup creation and editing markups associated with the published document.

Burn-in - enables burning in of markups on the published document. When the end-user loads a CSF file with republishing allowed, this permission allows the user to burn-in markups that are currently open into a new CSF file. The new CSF file has the same permissions as the loaded CSF file, the only difference being that the markups are now part of the CSF file.


startexpire

Contents

Expiration

You can set expiration dates for your published documents. The CSF reader checks the date settings and will not allow usage if the user's system date is past the set expiration date.

No Date: Select "Never" as an expiration date if you do not want the published document to expire.

Select an absolute or relative date for access rights to expire on the published document.

Absolute Date: You can select a specific date for the document to expire by selecting "On" and then selecting a date from the calendar control.

Relative Date: You can select an expiration date relative to the date the document is published. Simply choose "In" and use the spin box to input a specified number of days that the document will be usable. If the "In" option button is selected, the expiration absolute date field will update to reflect the entered number of relative days. The expiration date must be at least one day later than the publish date.


Create CSF

With Brava! Desktop, you can choose to publish your CSF file to one of three destinations.

Select to create:

  • "File Only" if you only want to create and publish a file as CSF. If this option is selected, a file browser dialog prompts you to select a file location to place the published file. If you select this option, you can choose to preview the file in Brava! Desktop when it is finished publishing (select the Preview checkbox).

  • "Web Page" if you would like an HTML page generated for the published CSF file. If this option is selected, a browser dialog prompts you to select a directory location to place the HTML file. The contributor writes out the HTML pages and CSF file (which is referenced by the HTML) to the specified directory. The HTML page is generated from the BravaX.htm template file (located in the Brava! Desktop installation directory). The end-user can modify the output HTML by modifying this template file.

  • "Email" if you would like to send the published CSF file as an email attachment. If this option is selected, you are presented with an outgoing email message with the CSF file attached.

The output of the print jobs are written to a file on the hard disk. After each print job has completed, the executable is launched and performs the publishing function. If desired, you can initiate another publishing job from Brava! Desktop before completing the initial publish job.

Note: Printing some documents, such as Excel workbooks, causes multiple print jobs to be initiated. In this initial release, multiple publishing jobs will result (i.e. the rights dialog will display for each sheet that is printed).

See Also:

What is CSF?


Watermark

Contents

Watermark and Banners

You can choose to set on-screen or printed banners and watermarks to your documents that will be saved with the published files. The watermark stretches from the lower left corner to the upper right corner.

Type in banner or watermark text to display on screen or click the "Set Print Banners" button to summon the print banner dialog. You can specify a watermark and define banners at any of the 12 document locations available (top center, bottom right, etc.).

Print banners and watermarks can contain text strings or one of the following tag values:

%Date

Inserts the date the print was spooled.

%SysDatePlusDays(x)

Inserts a date x number of days past the system date.

%Time

Inserts the time the print was spooled based on a 12 hour clock (AM/PM).

%MilTime

Inserts the time the print was spooled based on a 24 hour clock.

%Title

Adds the name of the document.

%Page

Adds the page number.

%TotalPages

Inserts the total number of pages.

%Login (or %User)

Specifies the user name of the person who issued the print.

%Blank

Inserts a blank line.

Font style and size cannot be set.

Any banners and watermarks that are set in the secured published file take priority over any banner and watermark settings that exist in the Brava! HTML parameters, Brava! Enterprise's jmyriadserver.ini file, or Brava! Reader. Secure HTML parameters for banners and watermarks will only be valid for the length that the CSF document is open.


Print

If the CSF document's Visual Rights™ permissions allow, you can use the Brava!Reader or Brava! Desktop printing functions. Printing is not enabled with the Free DWG Viewer.

What do you want to do?

Print a file

Print a region

Print with ISO banners

Watermark

See Also:

Print to Scale

Print Troubleshooting


Print a File

To print the open image with the default printer settings, click [image] (or you can click Print from the File menu, or use the hotkeys <Ctrl> +< P>).

To change the default settings:

  1. Click [image] on the toolbar and select Print from the submenu.

  2. To change printers click Printer Setup and select a printer from the printer Name drop down box. Click Properties to make any adjustments to the printer properties. You can change the printer's paper tray or change the paper orientation (landscape or portrait) Click OK to close the printer Properties dialog box.

  3. From the General tab, specify a Print Range and desired Print Options.

  4. Print Range includes All Pages, Current Page, Pages From (specify page numbers), and Current View. Current View only prints the part of the image that occupies the viewing window. Current View attempts to use the paper's entire printable area, so the print out can contain some portion of the image that is not visible in the viewing window.

  5. In the Options section, you can set the Number of Copies to print, color options (Original Image Colors, Vector Lines as Black, or Grayscale), and set the printed Line Thickness. The Original colors option is only available if the selected printer supports color printing.

  6. Select the Automatically Rotate for Best Fit checkbox if you want Brava! to determine if rotating the image by 90 degrees will allow more of the image to fit on the printed page.

  7. If Changemarks are associated with the document, the Print Changemark Information checkbox is enabled. When selected the content associated with each Changemark will print at the end of the print job. Only the Changemarks that fully appear in the printed output page will appear if the output page is a zoomed view. Each note receives a unique number that can be matched up to the text print out. Printed information includes the Changemark title, author, date and time authored, the note content, and any hyperlink reference.

  8. Some older printers, and the PDF Distiller and Writer, may not properly invert print outs and many file types print reversed (black background and white foreground). To correct the print out (white background with black foreground), enable the Optimized PDF Printer mode option in the Print Options dialog. When selected, this causes a bitmap of the current image to be sent to the printer resulting in accurate print outs for the problematic printer or print driver. Note that enabling this option results in a slower print time and a larger print spool file.

  9. Adjust the scale of the document from the Scale tab - see Print to Scale for details.

  10. Observe the Print Preview area of the Print dialog to verify the area you wish to print is contained in the printable area of the page (indicated by the dashed blue line).

Note: If the print preview image does not display what you expect, study the textual output in the print preview panel. It displays the image's dimensions, the current scaling (e.g. "Fit to page", "1/50", etc.), the scaled output size (the image's dimensions multiplied by the scaling), the paper size dimensions, and the printable area size. Pay particular attention to the scaled output size compared to the printable area size; these are depicted, respectively, as the red and blue dashed lines in the preview image. Adjust the paper size or scaling as necessary to obtain the desired output.

  11. Click Print to print the file.

See also:

Print Region

Printing Tips


Print Region

You can select just a region of an image to print using the Print Region command.

  1. Click [image] on the toolbar and select Print Region from the submenu.

  2. Click the left mouse button on the viewing window and drag a window around the area of the document you wish to print.

  3. The selected area displays (according to the current settings) in the Preview area of the Print dialog box. Current Region is automatically selected in the Print Range area. Click Print to print the selected region.

In contrast to printing using the Current View option from the Print menu, Print Region only prints the area selected in the dragged rectangle. The print out is cropped and does not try to fill the paper's printable area.

See Also:

Print a File


ISO Banners

You can add, edit, or clear print banners or the watermark if they have not been embedded in Published CSF files. If particular banners or the watermark were previously defined, then those defined areas will not be editable and will be viewed as read only.

  1. Click [image] on the toolbar and select ISO Banners/Watermark from the submenu (the button is also available from the Print dialog).

  2. Click on the Watermark or one of the ISO banner folders (e.g., Top Left). If the Watermark or Banner areas are gray, they have been set on the server or via an HTML parameter and can not be edited.

  3. If the Watermark or ISO Banner is editable, click on one of the 10 available lines and type the desired text in the edit box. You may insert Tags as line values. For %SysDatePlusDays( you need to add the number of days and close the parenthesis.

  4. Click OK to save your changes and close the Watermark/ISO Banner dialog box.

You can choose to enter a value in the Screen Watermarks and/or Screen Banners fields to enable viewing of those value strings in the viewer display window. The string can be the same or different than the value of the Watermark or banner fields.

You can change the printed font by clicking the Font button and selecting a font name, Style, and Size from the Font Properties dialog box.

You can quickly review all of the existing print banners without searching through the list of available areas. Click List to view all Watermark/ISO Banner strings that are set for the current document.

You can also:


Tags

To access the Tag drop-down list, enter a percent symbol (%) in the edit field of a print banner or watermark. Print banners and the watermark can contain text strings or one of the available tag values:

%Date Inserts the date the print was spooled. If the tags are viewed on screen, the time at which the screen was last refreshed displays.

%SysDatePlusDays(x) Inserts a date the specified number of days past the system date. Replace "x" with the desired number of days. Negative numbers of days may be entered.

%DBString(x) This tag is used to resolve custom tags for products that integrate with Brava! Replace "x" with any printable character except a right parenthesis, ")".

%Time Inserts the time the print was spooled based on a 12 hour clock (AM/PM). If the tags are viewed on screen, the date on which the screen was last refreshed displays.

%MilTime Inserts the time the print was spooled based on a 24 hour clock.

%Title Adds the name of the document.

%Page Adds the page number.

%TotalPages Inserts the total number of pages.

%Login (or %User) Specifies the user name of the person who issued the print.

%% Inserts a single % character.

Note: Tag values are case insensitive. Also, all the tags except %% and %SysDatePlusDays() must be followed by a non-alphanumeric character (such as a space, a %, a comma, a slash) otherwise, they are interpreted as text strings.


Watermark

You can add a watermark to your print outs. The watermark stretches from the lower left corner to the upper right corner.

  1. Click [image] on the toolbar and select ISO Banners/Watermark from the submenu (the button is also available from the Print dialog).

  2. Click Watermark to edit the watermark line. If the Watermark is grayed out, it has been set on the server or via an HTML parameter and can not be edited.

  3. Type in the desired text string or % to access the Tag drop down list.

  4. You can change the printed font by clicking the Font button and selecting a font name and Style from the Font Properties dialog box. Note: You can set the font style and name from the Font Properties dialog box, however, the Watermark font size is not affected by your font size selection.

  5. You can choose to show the Watermark and/or banner values in the viewing window by adding an entry to the Screen Watermark or Screen Banner lines. These settings are useful for displaying a document's classification to the viewer (e.g., proprietary, draft, etc.) and the values can differ from the values entered in the Watermark and banner location lines.

  6. Any banner or watermark value that has been defined by a server setting takes precedence over any value input in the Watermarks dialog.

  7. Click OK to apply your changes and close the ISOBanners/Watermark dialog box.

You can also:


Print to Scale

You can print image files to scale through the Scale tab of the Print dialog box. You can scale the original image to fit the page, or scale it to a preset ratio.

Select the Use drawing units checkbox to use the document's raw drawing units for scaling instead of normalized units. When selected, one unit is assumed to equal either one millimeter or one inch (depending on the measurement unit type selected). This option is not selected by default and the document's normalized units are used for scaling. Normalized units are the drawing units converted to a real world unit based on a conversion factor of the document type.

For the Measurement Unit Type, you can choose from US Customary (inches) or Metric (millimeters) and select pre-defined drawing scales to set up image-based Print To Scale operations.

You can choose to use one of four scaling methods available - Fit to Page, Scale, Fit Inside Banners, and Scale to Ratio where you can enter custom values:

Fit to Page

Fit to page automatically sizes a document to fit completely on the selected paper size.

Fit Inside Banners

Select if you would like to squeeze the page to fit within the borders of any banners that might exist.

Scale

Scale allows you to print a current file to a particular scale, based on the original scale of the image. Select a scale amount from the drop down list. With Full , one inch of the original prints as one inch (1 inch = 1 inch) and with 1/x inch, one foot of the original document prints as a fraction of an inch on paper(1/x inch = 1 foot). It is helpful to know the original scale of the file being printed in order to adjust the printed image accordingly. If unsure, use the Scale To or Fit to Page method, or use trial and error. (If you have Acrobat PDF writer, you can select that option from your printer drop-down name list to print to. You can then preview the file in Acrobat Reader as it will print.)

Scale to

Scale to x for x also allows you to print a current file to a particular scale, based on the original scale of the image. Enter a scale ratio in the two text boxes. For example, entering 1 and 100, 1 unit (inch or millimeter) of the printed document is equal to 100 units of the original document. (1/100 or 1%) Or, if entering 5 and 1 for example, 5 units of the printed document represents 1 unit of the original (5/1 or 500%). The image is cropped if the scaled image is larger than the paper size. It is helpful to know the original scale of the file being printed in order to adjust the printed image accordingly.

Examples:

Small scale drawing file where 1 inch = 1 inch:

1) Scale to 1:2 (50%) 2) Scale to 6:1 (600%)

Examples:

Large scale drawing file example where ¼ inch = 1 Foot:

1) Fit to Page 2) Scale to 1:50 (2%)

Image values can vary greatly as you can see a value of 600% in the small scale example set yields roughly the same printed area as a value of only 2% in the large scale example set. Printing with an image size of 100% in the second example would most likely produce a blank sheet of paper.


linethickness

Contents

Line Thickness

Brava! Desktop supports line thickness for markup entities and CAD drawings. This feature is only available with high-resolution printing. You can adjust the minimum line thickness for print outs from 0 to 99 dots with 0 (the default) being the thinnest line weight available. A line width of 0 draws a line width of 1 pixel at any zoom level. Only the line thicknesses that have no set value are affected. If a drawing already has line thickness assigned to its pen colors, those values are retained.

To adjust the line thickness value:

  1. Click [image] and select Print from the submenu. Click the General tab if needed.

  2. In the Options section, type a value from 0 to 99 in the Minimum Line Thickness field.

  3. Select the numeric value's unit type from the drop down list of either points (1 point = 1/72 inch) or millimeters.

  4. Click OK.

Example:

The border lines of this DWG file have no preset value. Here, we assigned a value of 40 dots as the minimum line thickness in the second image.


Print Tips and Troubleshooting

  • At this time, It is only possible to preview the page that is currently displayed in the viewer.

  • To get the best line resolution on vector images, print using the "Vector Lines as Black" option.

  • The rotation of the image displayed in the print preview area depends on the rotation of the image in the viewer, the print range selection, and the "Automatically Rotate Image for Best Fit" selection. When the "Current View" print range option is selected, the preview image's base rotation (when the option "Automatically Rotate for Best Fit" is NOT selected) will be the same as the rotation in the viewer. When any print range option other than "Current View" is selected, the preview image's base rotation is 0 degrees (no rotation). Selecting the "Automatically Rotate for Best Fit" option rotates the image in the preview 90 degrees from its base rotation if it results in the image fitting better on the target paper area.

  • If the print preview image does not display as you expect, study the textual output in the print preview panel. It displays the image's dimensions, the current scaling (e.g. "Fit to page", "1/50", etc.), the scaled output size (the image's dimensions multiplied by the scaling), the paper size dimensions, and the printable area size. Pay particular attention to the scaled output size compared to the printable area size; these are depicted, respectively, as the red and blue dashed lines in the preview image. Adjust the paper size or scaling as necessary to obtain the desired output.

  • Some older printers, and the PDF Distiller and Writer, may not properly invert print outs and many file types print reversed (black background and white foreground). To correct the print out (white background with black foreground), enable the Optimized PDF Printer mode option in the Print Options dialog. When selected, this causes a bitmap of the current image to be sent to the printer resulting in accurate print outs for the problematic printer or print driver. Note that enabling this option results in a slower print time and a larger print spool file.


Contact Information

If you need information on Brava! ActiveX or if you experience any problems or have any general inquiries, please feel free to contact us.

Informative Graphics. Corp

4835 E. Cactus Road, Suite 445

Scottsdale, Arizona 85254-3548

Phone: (602) 971-6061

M - F 7am to 5pm, Arizona time

E-mail: info@infograph.com

Web: www.infograph.com

For the latest information and downloads, please visit the IGC website pages for the following products:

Brava! Desktop

Brava! Reader

Free DWG Viewer


Arc

You can place an arc using the Arc tool [image].

  1. Click the mouse button where you want to begin. Click again at the approximate arc center point. Click a third time at the desired end point to set the arc.

  2. Edit the markup as desired. If the markup is not currently active, use the Select Markup Tool to pick it.


Block Out

Contents

Blockout

The Blockout markup entity [image] allows you to place a rectangular hide over an area of a sensitive or confidential document to block only certain portions from being viewed searched, or copied. A feature of Brava! Desktop only, the Blockout entity is only enabled on the markup toolbar if it is possible for the markup opened for edit to be burned-in as a redaction. Basically, it is only enabled if the file being marked up is a CSF file that has the markup authoring and burn-in rights enabled and that does not already have a redaction markup burned in.

Important note: The blockout for redaction entity only blocks information when its markup file has been burned into a CSF file as a redaction markup. If the markup is burned in "for review", then areas covered by the blockout entity can be seen, searched, and copied.

To create a Blockout entity:. The Blockout entity is protected by a "redaction key".

  1. Click and hold the left mouse button and drag the mouse pointer to draw the rectangular shape on the image.

  2. Release the mouse button to set the entity.

  3. Edit the markup as desired. If the markup is not currently active, use the Select Markup Tool to pick it.

Exposing Blockouts: If the author who published the CSF file established a redaction blockout "expose key", then you are prompted to enter that expose key. You are given three chances to enter that key correctly and you may choose to enter a value or not. If the correct key is entered, any blockout for redaction entities are transparent (all other markup entities remain unchanged).

If no key or an incorrect key is entered, the Blockout entities remain opaque and areas beneath them are hidden from the viewer. If the publisher set no key for the redaction, no prompt is presented and the Blockout entities remain opaque, and uneditable. Users can never turn off the visibility state of a redaction markup layer and any text hidden by the Block out entity cannot be copied or searched.


Cloud

You can draw clouds using the Cloud [image] and Polycloud [image] tools .

  1. Click and hold the left mouse button and drag the mouse pointer on the image to draw a cloud shape.

  2. Release the mouse button to set the entity.

  3. For the Polycloud, move the mouse pointer to where you want the first vertex to be and click the left mouse button to set the point. Continue to do this until all points are set.

  4. Double-click to set the Polycloud.

  5. Edit the markup as desired. If the markup is not currently active, use the Select Markup Tool to pick it.


Crossout

The Crossout tool [image] is used to place an “X” over an area of the image.

  1. Click and hold the left mouse button and drag the mouse pointer to draw the shape on the image.

  2. Release the mouse button to set the entity.

  3. Edit the markup as desired. If the markup is not currently active, use the Select Markup Tool to pick it.


text

Contents

Markup Text

Click [image] on the Markup toolbar to place text directly on the image (as opposed to in an annotation).

  1. Click the mouse pointer where you want the text to start and drag a rectangle to dictate the with of the text column and the font height to be used. (The grey "<Text>" displayed is to preview how your text will look.)

Note: Single-clicking the text tool causes a new text entity to be created using the last established font height. The new text has no enforced column width until you hit the return key or manually adjust the column width handles.

  2. Type the desired text.

  3. Edit the markup as desired. You can change the Font, style, size, color, and transparency (of the markup text box).

  4. If the markup is not currently active, use the Select Markup Tool to pick it. You can drag the text box to another location and you can adjust the size of the text box by length or height.

    • To adjust the length, click and drag one of the circular handles on the upper right or left corners. The size of the text does not change.

    • To adjust the height, click and drag the yellow ball on the lower left section of the text box up or down. The text automatically resizes as you adjust the text box height.

    • To rotate the text, click and drag the green rotation handle in any direction.


Edit Text

You can [image] underline, [image] strikeout, and [image] highlight text contained in a document.

  1. Select your desired edit text tool from the Markup Toolbar.

  2. Select a desired color to use.

  3. Click on the text you wish to mark up and drag your mouse to the point where you want to stop. The selected text appears highlighted until you release the mouse button - at which point the underline, highlight, or strikeout markups display.


Editable Markups

Markup files can either be editable or overlaid. Editable markups are working markups, currently in progress. You overlay markups to review them, but they cannot be edited.


Markup Font

Change the font name, style, and size for markup text through the Markup Text Font dialog box. To change the markup text font:

  1. Use the Select tool to select and alter existing text or click [image] to add new text.

  2. Select your desired options from the text properties toolbar. You can select the font style, size, and color. The transparency toggle button [image] allows you to show the markup entity text box with transparent or filled background.

  3. Click OK.


Font Chooser

The Font Properties dialog box is accessed through then Font button of the ISOBanner/Watermark dialog box. Here, you can choose the font properties to use for your Banner and Watermark print outs.

Note: You can set the font style, size, and name from the Font Properties dialog box, however, the Watemark font size is not affected by your font size selection.

Select a font name, style, and size from the available choices and click OK. You can review your selection in the review section of the dialog box. The list of available font names is the list that your default printer supports. You can also view your list of available fonts through the fonts list in your Microsoft Word application.


Background Fills

Background fills are the same color as the current image background color however, they are white when printed. Background fills cover the designated area giving the impression that the area has been hidden; note however that this information is not truly hidden since any text underneath the fill can be searched or copied, or, if the background fill is not part of a redaction markup, the markup can be closed. To truly block out information, a markup containing blockout entities needs to be burned into a CSF file.

Background fills can be used to allow extra space for comments and other markups. They can be selected from the drop down menu as a property for the Rectangle, Ellipse, Polygon, and Sketch Polygon tools. Select one of these markup shapes from the Markup toolbar and select your desired options from the markup properties toolbar.

To draw a Rectangular or Elliptical Background fills:

  1. Click and hold the left mouse button and drag the mouse pointer to draw the shape.

  2. Release the mouse button to set the entity.

For the Poly Background fills:

  1. Click the left mouse button where you want to set the first vertex of the polygon.

  2. Move the mouse pointer to where you want the second vertex and click the left mouse button again.

  3. Set any remaining vertices, and then click the left mouse button on the first point to set the entity. You can also double-click the left mouse button at the last vertex position and Brava! automatically fills in the last line segment for you (connecting the last vertex point to the first).

Edit the markup as desired. If the markup is not currently active, use the Select Markup Tool to pick it.


Highlights

This tool allows you to draw translucent shapes. Highlights can be selected from the drop down menu as a property for the Rectangle, Ellipse, Polygon, and Sketch Polygon tools.

Select one of the above markup shapes from the Markup toolbar and select your desired options from the markup properties toolbar.

For the Rectangular or Elliptical Highlight tools:

  1. Click and hold the left mouse button and drag the mouse pointer to draw the shape.

  2. Release the mouse button to set the entity.

For the Poly Highlight:

  1. Click the left mouse button where you want to set the first vertex of the polygon.

  2. Move the mouse pointer to where you want the second vertex and click the left mouse button again.

  3. Set any remaining vertices, and then click the left mouse button on the first point to set the entity. You can also double-click the left mouse button at the last vertex position and Brava! automatically fills in the last line segment for you (connecting the last vertex point to the first).

Edit the markup as desired. If the markup is not currently active, use the Select Markup Tool to pick it.


hotkeys

Contents

Hot Keys

Various tools and commands can be accessed through these shortcut keys:

<Ctrl> + <A> = Help About

<Ctrl> + <C> = Copy to Clipboard

<Ctrl> + <E> = Fit All

<Ctrl> + <F> = Mirror (Flip)

<Ctrl> + <G> = Print Region

<Ctrl> + <H> = Help Contents

<Ctrl> + <L> = Show Layers

<Ctrl> + <M> = Open Markup

<Ctrl> + <N> = New Markup

<Ctrl> + <O> = Open File

<Cltrl> + <P> = Print

<Ctrl> + <R> = Open for Review

<Ctrl> + <S> = Save Markup

<Ctrl> + <V> = Paste

<Ctrl> + <W> = Fit Width

<Ctrl> + <Y> = Redo

<Ctrl> + <Z> = Undo

<Ctrl> + <Shift> + <C> = Close Markup

<Ctrl> + <Shift> + <R> = Close Review

<Ctrl> + <Shift> + <S> = Save As Markup

<Ctrl> + <Space> = Rotate 90 Degrees

<F3> = Search

<+> = Zoom in, <-> = zoom out

<Page Up> = moves to previous page

<Page Down> = moves to next page

The following hotkeys are available for navigating CAMCAD (*.cc) files with the Brava! Viewer (when Select tool is active):

[mouse click] = "select entire geometry assembly and display it's attributes"

[mouse click] + [CTRL key] = "select specific geometry and display it's attributes"

[mouse click] + [SHIFT key] = "select a specific piece of a geometry and display it's attributes"

Contents


Line

The Line tool [image] allows you to draw straight lines in any direction.

  1. Click the left mouse button where you want the line to begin and click where you want the line to end.

  2. Edit the markup as desired. If the markup is not currently active, use the Select Markup Tool to pick it.


Line Arrow

The Line Arrow tool [image] allows you to draw an arrow.

  1. Click the left mouse button where you want the arrow point to begin and click where you want the line to end.

  2. Edit the markup as desired. If the markup is not currently active, use the Select Markup Tool to pick it.


Markup Line Width

Contents

Line Style and Width

Change the style and width of markup lines by using the Line Style and Line Width tools [image].

  1. Select a new line style and line width from the drop down boxes when available from the Markup properties toolbar.

  2. You can change the line width of existing markup lines. If the markup is not currently active, use the Select Markup Tool to pick it.

See also:

Line Thickness


Markup Properties

The markup properties toolbar is available when creating or editing markup files. You can edit the available markup properties individually or to a group of entities. Use the Select Markup tool to pick and edit one or more markup entities.

Line Style and Line Width

Color

Text Properties

Fill Type - The Fill Type properties are only available for the Rectangle, Ellipse, Polygon, and Sketch Polygon tools

Solid

Hollow

Highlight

Hides (background fills)


Markup Color

You can change the color of any markup entity using the16 predefined markup colors. Each markup can be a different color and it can be changed at any time.

To change the markup color, click [image] on the markup properties toolbar when available and select the new color from the drop-down.


Open a Document

You can navigate to and open a document or image file from a local or network drive. From the File menu, select Open to launch the Open dialog box.

Brava! Reader can only load published files of type .CSF and .XDL


Document Page Control

When you view a multi-page office document, the paging controls display on the Properties bar. You can also use the paging controls contained in the Scroll Bar tools area.

Changes to the first page of the document.

Changes to the previous page. If you are viewing the first page, it changes to the last page.

Changes to the next page. If you are viewing the last page, it changes to the first page.

Changes to the last page of the document.

See Also:

Page Control


Polyline

The Polyline [image] tool allows you to draw a jointed line.

  1. Click the left mouse button where you want the line to begin.

  2. Move the mouse pointer to where you want the polyline's first vertex to be and click the left mouse button to set the point. Continue to do this until all points are set.

  3. Double-click where you want the polyline to end to set the line.

  4. Edit the markup as desired. If the markup is not currently active, use the Select Markup Tool to pick it.


scratch

Contents

Scratchout

Similar to the Crossout tool, the Scratchout tool [image] is used to place an easily identified zig-zagging line pattern (rather than an X) through a rectangular region of an image or section of text, marking the area as symbolically invalid.

  1. Click and hold the left mouse button and drag the mouse pointer to draw the shape on the image.

  2. Release the mouse button to set the entity.

  3. Edit the markup as desired. If the markup is not currently active, use the Select Markup Tool to pick it.


sketch

Contents

Sketch and Sketch Poly

Use the Sketch tool [image] to draw freehand shapes. Use the Sketch Poly tool [image] to create filled freehand shapes.

  1. Click and hold the left mouse button and drag the mouse pointer to draw the shape.

  2. Release the mouse button to set the entity.

  3. Edit the markup as desired. If the markup is not currently active, use the Select Markup Tool to pick it.


Solid and Hollow Shapes

The Solid Shapes group allows you to draw solid (filled) or hollow (unfilled) Rectangle, Ellipse, or Poly shapes. Hollow markups render just the outline.

Select one of the above markup shapes from the Markup toolbar and select your desired options from the markup properties toolbar.

For the Filled or Unfilled Rectangle or Ellipse:

  1. Click and hold the left mouse button and drag the mouse pointer to draw the shape.

  2. Release the mouse button to set the entity.

For the Filled or Unfilled Poly,

  1. Click the left mouse button where you want to set the first vertex of the polygon.

  2. Move the mouse pointer to where you want the second vertex and click the left mouse button again.

  3. Set any remaining vertices, and then click the left mouse button on the first point to set the entity. You can also double-click the left mouse button at the last vertex position and Brava! automatically fills in the last line segment for you (connecting the last vertex point to the first).

Edit the markup as desired. If the markup is not currently active, use the Select Markup Tool to pick it.


Status Bar

The Status Bar is the informational bar below the Standard toolbar. Document title, tool tips, markup properties, and other information display on the Status Bar.

Right mouse button functionality is available whenever you see the [image] icon in the status bar.


Standard Toolbar

The Standard toolbar contains buttons for the commonly used commands. From left to right, these are:

Markup File

Print

Download

Measure

Select

Zoom Extents

Zoom Width

Pan

Zoom

Magnifier

This launches the Contents page of the Help file.